### Method

# GimpUi Dialog set_alternative_button_order_from_array

#### Declaration [src]

    void
    gimp_dialog_set_alternative_button_order_from_array (
      GimpDialog* dialog,
      gint n_buttons,
      gint* order
    )

#### Description [src]

Reorder `dialog`‘s buttons if “gtk-alternative-button-order” setting is set to TRUE. This is mostly a wrapper around the GTK function gtk_dialog_set_alternative_button_order(), except it won’t output a deprecation warning.

Available since: | 3.0

#### Parameters

`n_buttons` | `gint`
| The size of `order`.
`order` | An array of `gint`
| Array of buttons’ response ids.
| The length of the array is specified in the `n_buttons` argument.
| The data is owned by the caller of the function.